Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationPerformance

    public interface ConfigurationPerformance

This interface defines the methods to manage the performance configuration of server.

Method Summary
`boolean` | `getCompressIO()` Returns whether to compress swap files.
`boolean` | `getEnablePreloadFont()` Returns whether to preload font and whether to reload the java classes used by font.
`boolean` | `getPreloadCatalogClass()` Returns whether to preload catalog class.
`java.util.Vector` | `getPreloadCatalogsName()` Returns catalog's full name which needs to preloaded.
`boolean` | `getPreloadDsoClass()` Returns whether to preload Dso class.
`boolean` | `getPreloadEngineClass()` Returns whether to preload engine class.
`boolean` | `getPreloadReportClass()` Returns whether to preload report class and whether to reload java classes used by report.
`java.util.Vector` | `getPreloadReportsName()` Returns report file's full name which needs to preloaded.
`void` | `loadProperties()` Loads the properties of server.
`void` | `setCompressIO(boolean isCompressIO)` Sets whether to compress swap files.
`void` | `setEnablePreloadFont(boolean enablePreloadFont)` Sets whether to preload font and whether to reload the java classes used by font.
`void` | `setPreloadCatalogClass(boolean isPreloadCatalogClass)` Sets whether to preload catalog class.
`void` | `setPreloadCatalogsName(java.util.Vector preloadCatalogsName)` Sets catalog's full name which needs to be preloaded.
`void` | `setPreloadDsoClass(boolean isPreloadDsoClass)` Sets whether to preload DSO class and whether to reload java classes used by DSO.
`void` | `setPreloadEngineClass(boolean isPreloadEngineClass)` Sets whether to preload engine class amd whether to reload java classes used by engine.
`void` | `setPreloadReportClass(boolean isPreloadReportClass)` Sets whether to preload report class.
`void` | `setPreloadReportsName(java.util.Vector preloadReportsName)` Sets report file's full name which needs to preloaded.

Method Detail

### setEnablePreloadFont

    void setEnablePreloadFont(boolean enablePreloadFont)

  Sets whether to preload font and whether to reload the java classes used by font.

  Parameters:
    `enablePreloadFont` - whether to preload font.

### getEnablePreloadFont

    boolean getEnablePreloadFont()

  Returns whether to preload font and whether to reload the java classes used by font.

  Returns:
    whether to preload font.

### setPreloadCatalogsName

    void setPreloadCatalogsName(java.util.Vector preloadCatalogsName)

  Sets catalog's full name which needs to be preloaded. Vector contains string object.

  Parameters:
    `preloadCatalogsName` - catalog's full name which needs to preloaded.

### getPreloadCatalogsName

    java.util.Vector getPreloadCatalogsName()

  Returns catalog's full name which needs to preloaded. Vector contains string object.

  Returns:
    catalog's full name which needs to preloaded.

### setPreloadReportsName

    void setPreloadReportsName(java.util.Vector preloadReportsName)

  Sets report file's full name which needs to preloaded. Vector contains string object.

  Parameters:
    `preloadReportsName` - Report file's full name which needs to preloaded.

### getPreloadReportsName

    java.util.Vector getPreloadReportsName()

  Returns report file's full name which needs to preloaded. Vector contains string object.

  Returns:
    report file's full name which needs to preloaded.

### setPreloadCatalogClass

    void setPreloadCatalogClass(boolean isPreloadCatalogClass)

  Sets whether to preload catalog class.

  Parameters:
    `isPreloadCatalogClass` - whether to preload catalog class.

### getPreloadCatalogClass

    boolean getPreloadCatalogClass()

  Returns whether to preload catalog class.

  Returns:
    whether to preload catalog class.

### setPreloadReportClass

    void setPreloadReportClass(boolean isPreloadReportClass)

  Sets whether to preload report class.

  Parameters:
    `isPreloadReportClass` - whether to preload report class.

### getPreloadReportClass

    boolean getPreloadReportClass()

  Returns whether to preload report class and whether to reload java classes used by report.

  Returns:
    whether to preload report class.

### setPreloadEngineClass

    void setPreloadEngineClass(boolean isPreloadEngineClass)

  Sets whether to preload engine class amd whether to reload java classes used by engine.

  Parameters:
    `isPreloadEngineClass` - whether to preload engine class.

### getPreloadEngineClass

    boolean getPreloadEngineClass()

  Returns whether to preload engine class.

  Returns:
    whether to preload engine class.

### setPreloadDsoClass

    void setPreloadDsoClass(boolean isPreloadDsoClass)

  Sets whether to preload DSO class and whether to reload java classes used by DSO.

  Parameters:
    `isPreloadDsoClass` - whether to preload Dso class.

### getPreloadDsoClass

    boolean getPreloadDsoClass()

  Returns whether to preload Dso class.

  Returns:
    whether to preload Dso class.

### setCompressIO

    void setCompressIO(boolean isCompressIO)

  Sets whether to compress swap files.

  Parameters:
    `isCompressIO` - whether to compress swap files.

### getCompressIO

    boolean getCompressIO()

  Returns whether to compress swap files.

  Returns:
    whether to compress swap files.

### loadProperties

    void loadProperties()

  Loads the properties of server.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD